SetProperty (JavaFX 17)

Module javafx.base
Package javafx.beans.property

## Class SetProperty<E>

- java.lang.Object
- - javafx.beans.binding.SetExpression<E>
  - - javafx.beans.property.ReadOnlySetProperty<E>
    - - javafx.beans.property.SetProperty<E>

- Type Parameters:
    `E` - the type of the `Set` elements
  All Implemented Interfaces:
    `Iterable<E>`, `Collection<E>`, `Set<E>`, `Observable`, `Property<ObservableSet<E>>`, `ReadOnlyProperty<ObservableSet<E>>`, `ObservableObjectValue<ObservableSet<E>>`, `ObservableSetValue<E>`, `ObservableValue<ObservableSet<E>>`, `WritableObjectValue<ObservableSet<E>>`, `WritableSetValue<E>`, `WritableValue<ObservableSet<E>>`, `ObservableSet<E>`
  Direct Known Subclasses:
    `SetPropertyBase`

      public abstract class SetProperty<E>
      extends ReadOnlySetProperty<E>
      implements Property<ObservableSet<E>>, WritableSetValue<E>

  This class provides a full implementation of a `Property` wrapping an `ObservableSet`. The value of a `SetProperty` can be get and set with `ObservableObjectValue.get()`, `ObservableValue.getValue()`, `WritableObjectValue.set(Object)`, and `WritableValue.setValue(ObservableSet)`. A property can be bound and unbound unidirectional with `Property.bind(javafx.beans.value.ObservableValue)` and `Property.unbind()`. Bidirectional bindings can be created and removed with `Property.bindBidirectional(Property)` and `Property.unbindBidirectional(Property)`. The context of a `SetProperty` can be read with `ReadOnlyProperty.getBean()` and `ReadOnlyProperty.getName()`.
  Since:
    JavaFX 2.1
  See Also:
    `ObservableSet`, `ObservableSetValue`, `WritableSetValue`, `ReadOnlySetProperty`, `Property`

- - ### Property Summary

    - ### Properties declared in class javafx.beans.binding.SetExpression

      `empty, size`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SetProperty()` | Creates a default `SetProperty`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` | Returns a string representation of this `SetProperty` object.

    - ### Methods declared in class javafx.beans.property.ReadOnlySetProperty

      `bindContent, bindContentBidirectional, hashCode, unbindContent, unbindContentBidirectional`

    - ### Methods declared in class javafx.beans.binding.SetExpression

      `asString, emptyProperty, getSize, isEqualTo, isNotEqualTo, isNotNull, isNull, setExpression, sizeProperty`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods declared in interface java.lang.Iterable

      `forEach`

    - ### Methods declared in interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods declared in interface javafx.beans.value.ObservableObjectValue

      `get`

    - ### Methods declared in interface javafx.collections.ObservableSet

      `addListener, removeListener`

    - ### Methods declared in interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods declared in interface javafx.beans.property.Property

      `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

    - ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

      `getBean, getName`

    - ### Methods declared in interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

    - ### Methods declared in interface javafx.beans.value.WritableObjectValue

      `get, set`

    - ### Methods declared in interface javafx.beans.value.WritableValue

      `getValue, setValue`

- - ### Constructor Detail

    - #### SetProperty

          public SetProperty()

      Creates a default `SetProperty`.

  - ### Method Detail

    - #### toString

          public String toString()

      Returns a string representation of this `SetProperty` object.
      Overrides:
        `toString` in class `ReadOnlySetProperty<E>`
      Returns:
        a string representation of this `SetProperty` object.